#include<iostream>
#include "bitmap.h"
#include "position.h"
#include "ezwin.h"
#include <assert.h>
using namespace std;
SimpleWindow Photowindow("photograph",25.0,15.0,Position(1.0,1.0));
BitMap Photo(Photowindow);
int PhotowindowMouseClick(const Position &p)
{Photo.Erase();
Photo.SetPosition(p);
Photo.Draw();
return 1;
}
int ApiMain()
{
Photowindow.Open();
assert(Photowindow.GetStatus()== WindowOpen);
Position WindowCenter=Photowindow.GetCenter();

Photo.Load("scene1.xpm");
assert(Photo.GetStatus()==BitMapOkay);
Position PhotoPosition = WindowCenter + Position(-.5*Photo.GetWidth(),-.5*Photo.GetHeight());
Photo.SetPosition(PhotoPosition);
Photo.Draw();
Photowindow.SetMouseClickCallback(PhotowindowMouseClick);
return 0;
}
int ApiEnd()
{
Photowindow.Close();
}
 
