#include <iostream>
#include "bitmap.h"
#include "position.h"
#include "ezwin.h"
#include <assert.h>
using namespace std;
SimpleWindow w("***Hearts***",17.0,10.0,Position(1.0,1.0));
BitMap Hearts(w);
BitMap Start(w);
int MouseClickEvent(const Position &MousePosition)
{
	if(Start.IsInside(MousePosition))
		{//OPEN HEARTS.CPP
		w.Close();
} 
		return 1;
}
int ApiMain()
{
w.Open();
assert(w.GetStatus()==WindowOpen);
Hearts.Load("hearts.xpm");
assert(Hearts.GetStatus()==BitMapOkay);
Start.Load("start.xpm");
assert(Start.GetStatus()==BitMapOkay);
Position Background=w.GetCenter()+Position(-0.5*Hearts.GetWidth(),-0.5*Hearts.GetHeight());
Position Button=w.GetCenter() + Position(-0.5*Start.GetWidth(),-0.5*Start.GetHeight());
Hearts.SetPosition(Background);
Start.SetPosition(Button);
Hearts.Draw();
Start.Draw();
w.SetMouseClickCallback(MouseClickEvent);
sleep(2);
w.Open();
sleep(2);
return 0;
}
int ApiEnd()
{w.Close();
return 0;
}






