/*#include <iostream>
#include "bitmap.h"
#include "position.h"
#include "ezwin.h"
#include <assert.h>
using namespace std;*/
SimpleWindow w("                                                                    ***HEARTS***",17.0,10.2,Position(1.0,1.0));
BitMap background(w);
BitMap play(w);
BitMap help(w);
BitMap quit(w);
int MouseClickEvent(const Position &MousePosition)
{
	if(play.IsInside(MousePosition))
		{/*OPEN HEARTS.CPP*/
			cout<<"play"<<endl;}
	else if(help.IsInside(MousePosition))
		{/*OPEN HELP*/
			cout<<"help"<<endl;}
	else if(quit.IsInside(MousePosition))
                {Terminate();}
		return 1;
}
int ApiMain()
{
w.Open();
assert(w.GetStatus()==WindowOpen);
background.Load("hearts.xpm");
assert(background.GetStatus()==BitMapOkay);
play.Load("play.xpm");
assert(play.GetStatus()==BitMapOkay);
help.Load("help.xpm");
assert(help.GetStatus()==BitMapOkay);
quit.Load("quit.xpm");
assert(quit.GetStatus()==BitMapOkay);
Position Background=w.GetCenter()+Position(-.5*background.GetWidth(),-.5*background.GetHeight());
Position playButton=w.GetCenter() + Position(-.5*play.GetWidth(),-.5*play.GetHeight()-3.0);
Position helpButton=w.GetCenter() + Position(-.5*help.GetWidth(),-.5*help.GetHeight());
Position quitButton=w.GetCenter() + Position(-.5*quit.GetWidth(),-.5*quit.GetHeight()+3.0);
background.SetPosition(Background);
play.SetPosition(playButton);
help.SetPosition(helpButton);
quit.SetPosition(quitButton);
background.Draw();
play.Draw();
help.Draw();
quit.Draw();
w.SetMouseClickCallback(MouseClickEvent);
return 0;
}
int ApiEnd()
{w.Close();
return 0;
}







