void backgroundLoad()
{
	float x,y;
	Hearts.RenderRectangle(Position(0.1,1.5),Position(0.1+width,8.5),Black);
	Hearts.RenderRectangle(Position(6.0,0.1),Position(12+width,0.1+height),Black);
	Hearts.RenderRectangle(Position(18.5-width,1.5),Position(18.5,8.5),Black);
	//Hearts.RenderRectangle(Position(0.0,0.0),Position(20.0,13.0),Black);
	for(int i=0;i<MAX_CARDS;i++)
		if(players[3][i]!=-1)
			cardDisplay(i);
	for(int i=0;i<3;i++)
	{
		if(i==0)
			{
				x=0.1;
				y=8.5;
			}
		else if(i==1)
			{
				x=6.0;
				y=0.1;
			}
		else
			{
				x=18.5-width;
				y=8.5;
			}
		for(int j=0;j<MAX_CARDS;j++)
		{
			if(back[i][j]!=-1)
			{			
				cardBack.SetPosition(Position(x,y));
				cardBack.Draw();
			}
			if(i==0||i==2)
				y=y-0.5;
			else
				x=x+0.5;
		}
	}
	//Back of cards
}
float xcoordinate(int b)//it returns the xcoordinates for the bth human players cards
{
	float k;
	switch(b)
	{
		case 0:
			k=6.0;
			break;
		case 1:
			k=6.5;
			break;
		case 2:
			k=7.0;
			break;
		case 3:
			k=7.5;
			break;
		case 4:
			k=8;
			break;
		case 5:
			k=8.5;
			break;
		case 6:
			k=9;
			break;
		case 7:
			k=9.5;
			break;
		case 8:
			k=10;
			break;
		case 9:
			k=10.5;
			break;
		case 10:
			k=11;
			break;
		case 11:
			k=11.5;
			break;
		case 12:
			k=12;
			break;
	}
	return k;
}

void cardDisplay(int b)//displays the human player's cards
{
	//delay();//need to b done
	cards[players[3][b]-1].SetPosition(Position(xcoordinate(b),10.5));//displaying the bth card with the human player
	cards[players[3][b]-1].Draw();
}
void playDisplay(int a,int b)//displays the cards on the table which are played
{
	int x,y;
	switch(a)
	{
		case 0:
			x=6.0;//need to b done
			y=5.0;
			break;
		case 1:
			x=6.5+width;
			y=5.5-height;
			break;
		case 2:
			x=7.0+2*width;
			y=5.0;
			break;
		case 3:
			x=6.5+width;
			y=5.0+height;
			break;
	}

	Hearts.RenderRectangle(Position(xcoordinate(0),10.5),Position(xcoordinate(12)+width,10.5+height),Black);
	for(int i=0;i<MAX_CARDS;i++)
		if(players[3][i]!=b&&players[3][i]!=-1)
			cardDisplay(i);

	else
	{
		for(int i=0;i<MAX_CARDS;i++)
			if(players[a][i]==b)
			back[a][i]=-1;
	}
	backgroundLoad();
	cards[b-1].SetPosition(Position(x,y));
	cards[b-1].Draw();

	//sleep(1);
	
}
void transferDisplay(int a)//cards transfered by human player, it is shifted up by 0.6
{
		Hearts.RenderRectangle(Position(xcoordinate(0),9.9),Position(xcoordinate(12)+width,10.5+height),Black);
	if(a==12)
		Hearts.RenderRectangle(Position(xcoordinate(12),10.5),Position(xcoordinate(12)+width,10.5+height),Black);
	if(a==0)
		Hearts.RenderRectangle(Position(xcoordinate(0),10.5),Position(xcoordinate(0)+width,10.5+height),Black);
	int flag;
	for(int i=0;i<MAX_CARDS;i++)
	{
		flag=0;
		for(int j=0;j<transfercount;j++)
			if(transferposition[j]==i)
			{
				cards[humantransfer[j]-1].SetPosition(Position(xcoordinate(i),9.9));
				cards[humantransfer[j]-1].Draw();
				flag=1;
				break;
			}
		if(flag==0)
			cardDisplay(i);
	}
}
void receiveDisplay()//cards recieved by human player
{
	int k=0;
	Hearts.RenderRectangle(Position(xcoordinate(0),9.9),Position(xcoordinate(12)+width,10.5+height),Black);
	for(int i=0;i<MAX_CARDS;i++)
	{
		if(players[3][i]==-1)
		{
			float x=xcoordinate(i);
			cards[transferCards[2][k]-1].SetPosition(Position(x,9.9));
			cards[transferCards[2][k++]-1].Draw();
		}
		else
		{
			cardDisplay(i);
		}
	}
	sleep(1);
	Hearts.RenderRectangle(Position(8.5,9.9),Position(14.5+width,10.5),Black,true);
}
void scoreDisplay()
{
	int flag=0;
	for(int i=0;i<4;i++)
		if(score[i]>=100)
		{
			flag=1;
			break;
		}
	if(flag==1)
	{
	int temp[4];
	string s;
	int k=0,i;
	for(i=0;i<4;i++,k++)
	 	for(int j=i+1;j<3;j++)
			if(score[j]<score[i])
				temp[k]=score[j];
	for(i=0;i<4;i++)
		if(score[i]==temp[0])
			break;
	
	switch(i)
	{
		case 0:
			s="West Wins";
			break;
		case 1:	
			s="North Wins";
			break;
		case 2:
			s="East Wins";
			break;
		case 3:
			s="You Win";
			break;
	}
		
}
	/*
	int temp[4];
	string s="ScoreSheet - ";
	int k=0,i;
	for(i=0;i<4;i++,k++)
	 	for(int j=i+1;j<3;j++)
			if(score[j]<score[i])
				temp[k]=score[j];
	for(i=0;i<4;i++)
		if(score[3]==temp[i])
			break;
	int rnk=i+1;
	switch(rnk)
	{
		case 1:
			s=s+"First Position";
			break;
		case 2:	
			s=s+"Second Position";
			break;
		case 3:
			s=s+"Third position";
			break;
		case 4:
			s=s+"Last Position";
			break;
	}
	Position Upperleft=w.GetCenter() + Position(-5,-3);
	Position Lowerright=w.GetCenter() + Position(-3,-1);
	w.RenderText(Upperleft,Lowerright," FIRST POSITION     :",Black);
	w.RenderText(Upperleft+Position(0.0,1.0),Lowerright+Position(0.0,1.0)," SECOND POSITION    :",Black);
	w.RenderText(Upperleft+Position(0.0,2.0),Lowerright+Position(0.0,2.0),"THIRD POSITION      :",Black);
	w.RenderText(Upperleft+Position(0.0,3.0),Lowerright+Position(0.0,3.0),"LAST POSITION       :",Black); 
	//if(temp[3]>=100) ultimoextrememister()
	//	EndScreen();
	*/
	
}
	
